Bug 1002220 - Contains an rpath
Contains an rpath
Status: CLOSED CURRENTRELEASE
Product: GlusterFS
Classification: Community
Component: libgfapi (Show other bugs)
3.4.0
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Vinayaga Raman
Sudhir D
:
Depends On:
Blocks: 1004751
  Show dependency treegraph
 
Reported: 2013-08-28 12:15 EDT by Marc-Andre Lureau
Modified: 2015-12-01 11:45 EST (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 1004751 (view as bug list)
Environment:
Last Closed: 2014-01-17 11:35:43 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Marc-Andre Lureau 2013-08-28 12:15:01 EDT
Description of problem:

pkg-config --libs glusterfs-api
-Wl,-R/usr/lib64 -lgfapi -lglusterfs -lgfrpc -lgfxdr

Shouldn' t contain an rpath.
Comment 1 Anand Avati 2013-08-28 13:31:09 EDT
REVIEW: http://review.gluster.org/5717 (api: glusterfs-api.pc.in (and libgfchangelog.pc.in) use rpath (-Wl,-R...)) posted (#1) for review on master by Kaleb KEITHLEY (kkeithle@redhat.com)
Comment 2 Kaleb KEITHLEY 2013-08-28 14:40:48 EDT
Note that the library itself does not have an RPATH. Only the package config erroneously reports that there's an RPATH.
Comment 3 Anand Avati 2013-08-28 18:24:31 EDT
COMMIT: http://review.gluster.org/5717 committed in master by Anand Avati (avati@redhat.com) 
------
commit 8fcf91b51ccd457d417e71c401f6e6af1dffc607
Author: Kaleb S. KEITHLEY <kkeithle@redhat.com>
Date:   Wed Aug 28 13:28:29 2013 -0400

    api: glusterfs-api.pc.in (and libgfchangelog.pc.in) use rpath (-Wl,-R...)
    
    Change-Id: Icdd23f1c31421c882db106cdad1b1406569594ca
    BUG: 1002220
    Signed-off-by: Kaleb S. KEITHLEY <kkeithle@redhat.com>
    Reviewed-on: http://review.gluster.org/5717
    Tested-by: Gluster Build System <jenkins@build.gluster.com>
    Reviewed-by: Anand Avati <avati@redhat.com>

Note You need to log in before you can comment on or make changes to this bug.